<?php
class fmanager {
	private $config;

	public function __construct($config, $dir = '') {
		$this->config = $config;
		$this->config['dir'] = $this->getRoot().$dir;
		$this->scanned = scandir($this->getRoot().$dir);
	}

	public function getRoot() {
		return $this->config['root'];
	}
	
	public function getPath() {
		return $this->config['dir'];
	}
	
	public function getDirectoryList() {
		/**$all = $this->scanned;
		$directoryList = array();
		foreach ($all as $obj) {
			if (is_dir($obj)) $directoryList[] = $obj;
		}*/

		$all = scandir($this->config['dir']);
		unset($all[0], $all[1]);
		$directoryList = array();
		
		//dump($all);
		
		foreach ($all as $id => $name) {
			$path = $this->config['dir'].'/'.$name.'/';
			//dump($path);
			if (is_dir($path)) $directoryList[] = $name;
		}
		
		return $directoryList;
	}
	
	public function getFileList() {
		$all = $this->scanned;
		$fileList = array();
		foreach ($all as $obj) {
			if (is_file($this->config['dir'].'/'.$obj)) $fileList[] = $obj;
		}

		return $fileList;
	}
}

function dirList($dirs) {
	//unset($dirs[0], $dirs[1]);

	foreach ($dirs as $dir) {
		echo('<tr class="gen">
			<td class="row1"><a href="plugins.php?action=setting_plugin&plugin=fmanager&dir='.$_GET['dir'].'/'.$dir.'">'.$dir.'</a></td>
			<td class="row2"><a href=""></a></td>
			</tr>		
		');
	}
}

function filesList($files) {
	foreach ($files as $file) {
		echo('<tr class="gen">
			<td class="row1">'.$file.'</td>
			<td class="row2"><a href=""></a>, <a href="plugins.php?action=setting_plugin&plugin=fmanager&a=edit&path='.$_GET['dir'].'/'.$file.'"></a></td>
			</tr>		
		');
	}
}

function breadkrumbs($root, $dir) {
	echo '<a href="plugins.php?action=setting_plugin&plugin=fmanager&dir="> </a> >>';
	
	$d = str_replace($root, '', $dir);
	
	if ($d != '') {
		$dirs = explode('/', $d);
		$names = '';
		foreach ($dirs as $name) {
			if ($name != '') {
				$names = $names.'/'.$name;
				$path = $names;
				echo '<a href="plugins.php?action=setting_plugin&plugin=fmanager&dir='.$path.'">'.$name.'</a> >>';
			}
		}
	}
}
?>